# Uses of Interface
org.eclipse.core.resources.IMarker

Packages that use IMarker
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.core.resources.undo.snapshot
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.markers.internal
org.eclipse.ui.views.tasklist
Provides the standard Task List view for displaying tasks and problem annotations on resources.

## Uses of IMarker in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IMarker
Modifier and Type
Method
Description
`IMarker`
IResource.`createMarker(String type)`
Creates and returns the marker with the specified type on this resource.
`default IMarker`
IResource.`createMarker(String type, Map<String,? extends Object> attributes)`
Creates and returns the marker with the specified type on this resource.
`IMarker`
IResource.`findMarker(long id)`
Returns the marker with the specified id on this resource, Returns `null` if there is no matching marker.
`IMarker[]`
IResource.`findMarkers(String type, boolean includeSubtypes, int depth)`
Returns all markers of the specified type on this resource, and, optionally, on its children.
`IMarker`
IMarkerDelta.`getMarker()`
Returns the marker described by this change.
`IMarker`
IResource.`getMarker(long id)`
Returns a marker handle with the given id on this resource.
Methods in org.eclipse.core.resources with parameters of type IMarker
Modifier and Type
Method
Description
`void`
IWorkspace.`deleteMarkers(IMarker[] markers)`
Removes the given markers from the resources with which they are associated.

## Uses of IMarker in org.eclipse.core.resources.mapping

Methods in org.eclipse.core.resources.mapping that return IMarker
Modifier and Type
Method
Description
`IMarker[]`
ResourceMapping.`findMarkers(String type, boolean includeSubtypes, IProgressMonitor monitor)`
Returns all markers of the specified type on the resources in this mapping.
`IMarker[]`
ResourceTraversal.`findMarkers(String type, boolean includeSubtypes)`
Returns all markers of the specified type on existing resources in this traversal.

## Uses of IMarker in org.eclipse.core.resources.undo.snapshot

Methods in org.eclipse.core.resources.undo.snapshot that return IMarker
Modifier and Type
Method
Description
`IMarker`
IMarkerSnapshot.`createMarker()`
Create a marker from the marker description.
Methods in org.eclipse.core.resources.undo.snapshot with parameters of type IMarker
Modifier and Type
Method
Description
`static IMarkerSnapshot`
ResourceSnapshotFactory.`fromMarker(IMarker marker)`
Create a marker snapshot from the specified marker.
`void`
IMarkerSnapshot.`updateMarker(IMarker marker)`
Update an existing marker using the attributes in the marker description.

## Uses of IMarker in org.eclipse.debug.core

Methods in org.eclipse.debug.core with parameters of type IMarker
Modifier and Type
Method
Description
`IBreakpoint`
IBreakpointManager.`getBreakpoint(IMarker marker)`
Returns the breakpoint associated with the given marker or `null` if no such breakpoint exists

## Uses of IMarker in org.eclipse.debug.core.model

Methods in org.eclipse.debug.core.model that return IMarker
Modifier and Type
Method
Description
`protected IMarker`
Breakpoint.`ensureMarker()`
Returns the marker associated with this breakpoint.
`IMarker`
Breakpoint.`getMarker()`
`IMarker`
IBreakpoint.`getMarker()`
Returns the marker associated with this breakpoint, or `null` if no marker is associated with this breakpoint.
Methods in org.eclipse.debug.core.model with parameters of type IMarker
Modifier and Type
Method
Description
`protected boolean`
LaunchConfigurationDelegate.`isLaunchProblem(IMarker problemMarker)`
Returns whether the given problem should potentially abort the launch.
`void`
Breakpoint.`setMarker(IMarker marker)`
`void`
IBreakpoint.`setMarker(IMarker marker)`
Sets the marker associated with this breakpoint.

## Uses of IMarker in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return IMarker
Modifier and Type
Method
Description
`protected IMarker`
ImportBreakpointsOperation.`findExistingMarker(Map<String,Object> attributes, IBreakpointImportParticipant[] participants)`
Returns a marker backing an existing breakpoint based on the given set of breakpoint attributes
Methods in org.eclipse.debug.ui.actions with parameters of type IMarker
Modifier and Type
Method
Description
`protected void`
ImportBreakpointsOperation.`restoreBreakpoint(IMarker marker, Map<String,Object> attributes, IBreakpointImportParticipant[] participants)`
restores all of the attributes back into the given marker, recreates the breakpoint in the breakpoint manager, and optionally recreates any working set(s) the breakpoint belongs to.

## Uses of IMarker in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IMarker
Modifier and Type
Method
Description
`String`
IMarkerHelpRegistry.`getHelp(IMarker marker)`
Returns a help context id for the given marker or `null` if no help has been registered for the marker.
`String`
IMarkerHelpContextProvider.`getHelpContextForMarker(IMarker marker)`
Get the help context for the given marker.
`IMarkerResolution[]`
IMarkerHelpRegistry.`getResolutions(IMarker marker)`
Returns an array of resolutions for the given marker.
`IMarkerResolution[]`
IMarkerResolutionGenerator.`getResolutions(IMarker marker)`
Returns resolutions for the given marker (may be empty).
`boolean`
IMarkerHelpContextProvider.`hasHelpContextForMarker(IMarker marker)`
Whether this provider may have a context for the given marker.
`boolean`
IMarkerHelpRegistry.`hasResolutions(IMarker marker)`
Returns `false` if there are no resolutions for the given marker.
`boolean`
IMarkerResolutionGenerator2.`hasResolutions(IMarker marker)`
Returns whether there are any resolutions for the given marker.
`void`
IMarkerResolution.`run(IMarker marker)`
Runs this resolution.

## Uses of IMarker in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type IMarker
Modifier and Type
Method
Description
`static void`
IDE.`gotoMarker(IEditorPart editor, IMarker marker)`
Sets the cursor and selection state for the given editor to reveal the position of the given marker.
`void`
IGotoMarker.`gotoMarker(IMarker marker)`
Sets the cursor and selection state for an editor to reveal the position of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker)`
Opens an editor on the file resource of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker, boolean activate)`
Opens an editor on the file resource of the given marker.

## Uses of IMarker in org.eclipse.ui.ide.undo

Constructors in org.eclipse.ui.ide.undo with parameters of type IMarker
Modifier
Constructor
Description
``
`DeleteMarkersOperation(IMarker[] markers, String name)`
Create an undoable operation that can delete the specified markers.
``
`UpdateMarkersOperation(IMarker[] markers, Map attributes, String name, boolean mergeAttributes)`
Create an undoable operation that updates many markers to have the same set of attributes.
``
`UpdateMarkersOperation(IMarker marker, Map attributes, String name, boolean mergeAttributes)`
Create an undoable operation that can update the specified marker with the specified attributes.

## Uses of IMarker in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IMarker
Modifier and Type
Method
Description
`protected final IMarker`
SelectMarkerRulerAction.`chooseMarker(List<? extends IMarker> markers)`
Chooses the marker with the highest layer.
`IMarker`
SimpleMarkerAnnotation.`getMarker()`
Returns this annotation's underlying marker.
`protected abstract IMarker[]`
AbstractMarkerAnnotationModel.`retrieveMarkers()`
Retrieves all markers from this model.
`protected IMarker[]`
ResourceMarkerAnnotationModel.`retrieveMarkers()`
Methods in org.eclipse.ui.texteditor that return types with arguments of type IMarker
Modifier and Type
Method
Description
`protected List<IMarker>`
MarkerRulerAction.`getMarkers()`
Returns all markers which include the ruler's line of activity.
`protected final List<IMarker>`
SelectMarkerRulerAction.`getMarkers()`
Returns all markers which include the ruler's line of activity.
Methods in org.eclipse.ui.texteditor with parameters of type IMarker
Modifier and Type
Method
Description
`protected final void`
AbstractMarkerAnnotationModel.`addMarkerAnnotation(IMarker marker)`
Creates an annotation for the given marker and adds it to this model.
`static void`
MarkerUtilities.`changeAttributes(IMarker marker, Map<String,Object> attributeChanges)`
Changes the given attribute key-value pairs of the map on this marker.
`protected MarkerAnnotation`
AbstractMarkerAnnotationModel.`createMarkerAnnotation(IMarker marker)`
Creates a new annotation for the given marker.
`protected Position`
AbstractMarkerAnnotationModel.`createPositionFromMarker(IMarker marker)`
Creates and returns the character position of the given marker based on its attributes.
`protected abstract void`
AbstractMarkerAnnotationModel.`deleteMarkers(IMarker[] markers)`
Deletes the given markers from this model.
`protected void`
ResourceMarkerAnnotationModel.`deleteMarkers(IMarker[] markers)`
`String`
AnnotationTypeLookup.`getAnnotationType(IMarker marker)`
Computes the annotation type that corresponds to the state of the given marker.
`static int`
MarkerUtilities.`getCharEnd(IMarker marker)`
Returns the ending character offset of the given marker.
`static int`
MarkerUtilities.`getCharStart(IMarker marker)`
Returns the starting character offset of the given marker.
`static int`
MarkerUtilities.`getLineNumber(IMarker marker)`
Returns the line number of the given marker.
`final MarkerAnnotation`
AbstractMarkerAnnotationModel.`getMarkerAnnotation(IMarker marker)`
Returns this model's annotation for the given marker.
`Position`
AbstractMarkerAnnotationModel.`getMarkerPosition(IMarker marker)`
Returns the position known to this annotation model for the given marker.
`static String`
MarkerUtilities.`getMarkerType(IMarker marker)`
Returns the marker type of the given marker or `null` if the type could not be determined.
`static String`
MarkerUtilities.`getMessage(IMarker marker)`
Returns the message associated with the given marker.
`static int`
MarkerUtilities.`getPriority(IMarker marker)`
Returns the priority of the given marker.
`static int`
MarkerUtilities.`getSeverity(IMarker marker)`
Returns the severity of the given marker.
`protected String`
MarkerAnnotation.`getUnknownImageName(IMarker marker)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`void`
AbstractDecoratedTextEditor.`gotoMarker(IMarker marker)`
Deprecated.
visibility will be reduced, use `getAdapter(IGotoMarker.class) for accessing this method`
`protected abstract boolean`
AbstractMarkerAnnotationModel.`isAcceptable(IMarker marker)`
Determines whether the marker is acceptable as an addition to this model.
`protected boolean`
ResourceMarkerAnnotationModel.`isAcceptable(IMarker marker)`
`static boolean`
MarkerUtilities.`isMarkerType(IMarker marker, String type)`
Returns whether the given marker is of the given type (either directly or indirectly).
`protected void`
AbstractMarkerAnnotationModel.`modifyMarkerAnnotation(IMarker marker)`
Updates the annotation corresponding to the given marker which has changed in some way.
`protected final void`
AbstractMarkerAnnotationModel.`removeMarkerAnnotation(IMarker marker)`
Removes the annotation corresponding to the given marker.
`static void`
MarkerUtilities.`setCharEnd(IMarker marker, int charEnd)`
Sets the ending character offset of the given marker.
`static void`
MarkerUtilities.`setCharStart(IMarker marker, int charStart)`
Sets the starting character offset of the given marker.
`static void`
MarkerUtilities.`setLineNumber(IMarker marker, int lineNum)`
Sets the line number of the given marker.
`boolean`
AbstractMarkerAnnotationModel.`updateMarker(IMarker marker, IDocument document, Position position)`
Deprecated.
use `updateMarker(IDocument, IMarker, Position)` instead.
`boolean`
AbstractMarkerAnnotationModel.`updateMarker(IDocument document, IMarker marker, Position position)`
Updates the given marker according to the given position in the given document.
`boolean`
BasicMarkerUpdater.`updateMarker(IMarker marker, IDocument document, Position position)`
`boolean`
IMarkerUpdater.`updateMarker(IMarker marker, IDocument document, Position position)`
Updates the given marker according to the position of the given document.
Method parameters in org.eclipse.ui.texteditor with type arguments of type IMarker
Modifier and Type
Method
Description
`protected final IMarker`
SelectMarkerRulerAction.`chooseMarker(List<? extends IMarker> markers)`
Chooses the marker with the highest layer.
`protected void`
MarkerRulerAction.`removeMarkers(List<? extends IMarker> markers)`
Removes the given markers.
Constructors in org.eclipse.ui.texteditor with parameters of type IMarker
Modifier
Constructor
Description
``
`MarkerAnnotation(String annotationType, IMarker marker)`
Creates a new annotation of the given type for the given marker.
``
`MarkerAnnotation(IMarker marker)`
Creates a new annotation for the given marker.
``
`SimpleMarkerAnnotation(String annotationType, IMarker marker)`
Creates a new annotation of the given type for the given marker.
``
`SimpleMarkerAnnotation(IMarker marker)`
Creates a new annotation for the given marker.

## Uses of IMarker in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return IMarker
Modifier and Type
Method
Description
`abstract IMarker[]`
WorkbenchMarkerResolution.`findOtherMarkers(IMarker[] markers)`
Iterate through the list of supplied markers.
`IMarker`
MarkerItem.`getMarker()`
Return the marker for the receiver.
`IMarker[]`
MarkerViewHandler.`getSelectedMarkers(ExecutionEvent event)`
Get the selected markers for the receiver in the view from event.
Methods in org.eclipse.ui.views.markers with parameters of type IMarker
Modifier and Type
Method
Description
`abstract IMarker[]`
WorkbenchMarkerResolution.`findOtherMarkers(IMarker[] markers)`
Iterate through the list of supplied markers.
`static String`
MarkerViewUtil.`getViewId(IMarker marker)`
Returns the id of the view used to show markers of the same type as the given marker.
`void`
WorkbenchMarkerResolution.`run(IMarker[] markers, IProgressMonitor monitor)`
Runs this resolution.
`static boolean`
MarkerViewUtil.`showMarker(IWorkbenchPage page, IMarker marker, boolean showView)`
Shows the given marker in the appropriate view in the given page.
`static boolean`
MarkerViewUtil.`showMarkers(IWorkbenchPage page, IMarker[] markers, boolean showView)`
Shows the given markers in the appropriate view for the first marker in the given page.

## Uses of IMarker in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal that return IMarker
Modifier and Type
Method
Description
`IMarker`
ConcreteMarker.`getMarker()`
`protected IMarker`
DialogMarkerProperties.`getMarker()`
Returns the marker being created or modified.
Methods in org.eclipse.ui.views.markers.internal with parameters of type IMarker
Modifier and Type
Method
Description
`MarkerGroupingEntry`
MarkerGroup.`findGroupValue(String type, IMarker marker)`
Find the group for the marker of the specified marker type.
`MarkerGroupingEntry`
TypeMarkerGroup.`findGroupValue(String typeId, IMarker marker)`
`String`
MarkerSupportRegistry.`getCategory(IMarker marker)`
Get the category associated with marker.
`static String`
Util.`getContainerName(IMarker marker)`
Get the name of the container.
`static String`
Util.`getCreationTime(IMarker marker)`
Get the human readable creation time from the marker.
`static String`
Util.`getProperty(String property, IMarker marker)`
Get the propery called property from the marker.
`IMarkerResolution[]`
ProjectEncodingMarkerResolutionGenerator.`getResolutions(IMarker marker)`
`static String`
Util.`getShortContainerName(IMarker marker)`
Get the short name for the container
`boolean`
ProjectEncodingMarkerResolutionGenerator.`hasResolutions(IMarker marker)`
`static boolean`
Util.`isEditable(IMarker marker)`
Return whether or not the marker is editable.
`void`
DialogMarkerProperties.`setMarker(IMarker marker)`
Sets the marker to show or modify.
Constructors in org.eclipse.ui.views.markers.internal with parameters of type IMarker
Modifier
Constructor
Description
``
`ConcreteMarker(IMarker toCopy)`
``
`ProblemMarker(IMarker toCopy)`
``
`TaskMarker(IMarker toCopy)`

## Uses of IMarker in org.eclipse.ui.views.tasklist

Methods in org.eclipse.ui.views.tasklist that return IMarker
Modifier and Type
Method
Description
`IMarker`
TaskPropertiesDialog.`getMarker()`
Returns the marker being created or modified.
Methods in org.eclipse.ui.views.tasklist with parameters of type IMarker
Modifier and Type
Method
Description
`void`
TaskPropertiesDialog.`setMarker(IMarker marker)`
Sets the marker to show or modify.